HELM(1)

NAME

helm-install - install a chart archive

SYNOPSIS

helm install [CHART]

DESCRIPTION

This command installs a chart archive.

The install argument must be a chart reference, a path to a packaged chart, a path to an unpacked chart directory or a URL.

To override values in a chart, use either the '--values' flag and pass in a file or use the '--set' flag and pass configuration from the command line.

    $ helm install -f myvalues.yaml ./redis

or

    $ helm install --set name=prod ./redis

You can specify the '--values'/'-f' flag multiple times. The priority will be given to the last (right-most) file specified. For example, if both myvalues.yaml and override.yaml contained a key called 'Test', the value set in override.yaml would take precedence:

    $ helm install -f myvalues.yaml -f override.yaml ./redis

You can specify the '--set' flag multiple times. The priority will be given to the last (right-most) set specified. For example, if both 'bar' and 'newbar' values are set for a key called 'foo', the 'newbar' value would take precedence:

    $ helm install --set foo=bar --set foo=newbar ./redis

To check the generated manifests of a release without installing the chart, the '--debug' and '--dry-run' flags can be combined. This will still require a round-trip to the Tiller server.

If --verify is set, the chart MUST have a provenance file, and the provenenace fall MUST pass all verification steps.

There are four different ways you can express the chart you want to install:

1.  By chart reference: helm install stable/mariadb

2.  By path to a packaged chart: helm install ./nginx-1.2.3.tgz

3.  By path to an unpacked chart directory: helm install ./nginx

4.  By absolute URL: helm install ⟨https://example.com/charts/nginx-1.2.3.tgz⟩

CHART REFERENCES

A chart reference is a convenient way of reference a chart in a chart repository.

When you use a chart reference ('stable/mariadb'), Helm will look in the local configuration for a chart repository named 'stable', and will then look for a chart in that repository whose name is 'mariadb'. It will install the latest version of that chart unless you also supply a version number with the

To see the list of chart repositories, use 'helm repo list'. To search for charts in a repository, use 'helm search'.

OPTIONS

--ca-file=""
    verify certificates of HTTPS-enabled servers using this CA bundle

--cert-file=""
    identify HTTPS client using this SSL certificate file

--dep-up[=false]
    run helm dependency update before installing the chart.

--devel[=false]
    use development versions, too. Equivalent to version '>0.0.0-a'. If --version is set, this is ignored.

--dry-run[=false]
    simulate an install

--key-file=""
    identify HTTPS client using this SSL key file

--keyring="~/.gnupg/pubring.gpg"
    location of public keys used for verification

-n, --name=""
    release name. If unspecified, it will autogenerate one for you

--name-template=""
    specify template used to name the release

--namespace=""
    namespace to install the release into

--no-hooks[=false]
    prevent hooks from running during install

--replace[=false]
    re-use the given name, even if that name is already used. This is unsafe in production

--repo=""
    chart repository url where to locate the requested chart

--set=[]
    set values on the command line (can specify multiple or separate values with commas: key1=val1,key2=val2)

--timeout=300
    time in seconds to wait for any individual kubernetes operation (like Jobs for hooks)

--tls[=false]
    enable TLS for request

--tls-ca-cert="$HELM_HOME/ca.pem"
    path to TLS CA certificate file

--tls-cert="$HELM_HOME/cert.pem"
    path to TLS certificate file

--tls-key="$HELM_HOME/key.pem"
    path to TLS key file

--tls-verify[=false]
    enable TLS for request and verify remote

-f, --values=[]
    specify values in a YAML file or a URL(can specify multiple)

--verify[=false]
    verify the package before installing it

--version=""
    specify the exact chart version to install. If this is not specified, the latest version is installed

--wait[=false]
    if set, will wait until all Pods, PVCs, Services, and minimum number of Pods of a Deployment are in a ready state before marking the release as successful. It will wait for as long as --timeout

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

31-Oct-2017 Auto generated by spf13/cobra